Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.packaging
Class JarProtocolVisitor

    java.lang.Object
      org.hibernate.ejb.packaging.JarProtocolVisitor

All Implemented Interfaces:
  JarVisitor

    public class JarProtocolVisitor

extends java.lang.Object
implements JarVisitor

Author:
  Emmanuel Bernard

Constructor Summary
`JarProtocolVisitor(java.net.URL url, Filter[] filters, java.lang.String entry)`

Method Summary
`Filter[]` | `getFilters()`
`java.util.Set[]` | `getMatchingEntries()` Return the matching entries for each filter in the same order the filter where passed
`java.lang.String` | `getUnqualifiedJarName()` Get the unqualified Jar name (ie wo path and wo extension)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarProtocolVisitor

    public JarProtocolVisitor(java.net.URL url,
                              Filter[] filters,
                              java.lang.String entry)

Method Detail

### getUnqualifiedJarName

    public java.lang.String getUnqualifiedJarName()

  Description copied from interface: `JarVisitor`
  Get the unqualified Jar name (ie wo path and wo extension)

  Specified by:
    `getUnqualifiedJarName` in interface `JarVisitor`

### getFilters

    public Filter[] getFilters()

  Specified by:
    `getFilters` in interface `JarVisitor`

### getMatchingEntries

    public java.util.Set[] getMatchingEntries()
                                       throws java.io.IOException

  Description copied from interface: `JarVisitor`
  Return the matching entries for each filter in the same order the filter where passed

  Specified by:
    `getMatchingEntries` in interface `JarVisitor`
  Returns:
    array of Set of JarVisitor.Entry
  Throws:
    `java.io.IOException` - if something went wrong

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD